Skip to main content
POST
/
api
/
v3
/
{teamSlug}
/
{projectId}
/
views
curl -X POST "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/views" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "High Priority Leads",
    "emoji": "star",
    "filters": [
      {
        "columnId": "col_bbb222",
        "operator": "equals",
        "value": "Acme Corp"
      }
    ],
    "sorting": [
      {
        "columnId": "col_aaa111",
        "direction": "asc"
      }
    ],
    "columnVisibility": {
      "col_aaa111": true,
      "col_bbb222": true,
      "col_ccc333": true
    }
  }'
{
  "success": true,
  "view": {
    "id": "view_ccc333",
    "name": "High Priority Leads",
    "emoji": "star",
    "createdAt": "2025-10-10T15:00:00.000Z"
  }
}
Create a new saved view with optional filters, sorting, and column visibility settings. Requires a Bearer token.
curl -X POST "https://fluar.com/api/v3/acme-corp/proj_550e8400e29b41d4a716446655440000/views" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "High Priority Leads",
    "emoji": "star",
    "filters": [
      {
        "columnId": "col_bbb222",
        "operator": "equals",
        "value": "Acme Corp"
      }
    ],
    "sorting": [
      {
        "columnId": "col_aaa111",
        "direction": "asc"
      }
    ],
    "columnVisibility": {
      "col_aaa111": true,
      "col_bbb222": true,
      "col_ccc333": true
    }
  }'
{
  "success": true,
  "view": {
    "id": "view_ccc333",
    "name": "High Priority Leads",
    "emoji": "star",
    "createdAt": "2025-10-10T15:00:00.000Z"
  }
}